ChangeSet 1.1214, 2003/06/18 16:34:18-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: replace yield()

Use set_current_state (TASK_RUNNING); schedule(); instead.


 drivers/usb/speedtouch.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:36:14 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:36:14 2003
@@ -1299,7 +1299,8 @@
 		if (completed == count)
 			break;
 
-		yield ();
+		set_current_state (TASK_RUNNING);
+		schedule ();
 	} while (1);
 
 	dbg ("udsl_usb_disconnect: flushing");
@@ -1338,7 +1339,8 @@
 		if (count == UDSL_NUM_SND_URBS)
 			break;
 
-		yield ();
+		set_current_state (TASK_RUNNING);
+		schedule ();
 	} while (1);
 
 	dbg ("udsl_usb_disconnect: flushing");
